LinearStatistic.c(3)

NAME
LinearStatistic.c -

SYNOPSIS

#include 'coin_common.h'

  Functions
void C_kronecker (const double *A, const int m, const int n, const double *B, const int r, const int s, double *ans)
SEXP R_kronecker (SEXP A, SEXP B)
void C_ExpectCovarInfluence (const double *y, const int q, const double *weights, const int n, SEXP ans)
SEXP R_ExpectCovarInfluence (SEXP y, SEXP weights)
void C_ExpectCovarLinearStatistic (const double *x, const int p, const double *y, const int q, const double *weights, const int n, const SEXP expcovinf, SEXP ans)
SEXP R_ExpectCovarLinearStatistic (SEXP x, SEXP y, SEXP weights, SEXP expcovinf)
void C_LinearStatistic (const double *x, const int p, const double *y, const int q, const double *weights, const int n, double *ans)
SEXP R_LinearStatistic (SEXP x, SEXP y, SEXP weights)
void C_PermutedLinearStatistic (const double *x, const int p, const double *y, const int q, const int n, const int nperm, const int *indx, const int *perm, double *ans)
SEXP R_PermutedLinearStatistic (SEXP x, SEXP y, SEXP indx, SEXP perm)

Detailed Description

Linear statistics for conditional inference

Author:

Author:
    hothorn

Date:

Date:
    2007-02-15 09:25:46 +0100 (Thu, 15 Feb 2007)

Definition in file LinearStatistic.c.

Function Documentation

  void C_ExpectCovarInfluence (const double * y, const int q, const double * weights, const int n, SEXP ans) Conditional expectation and covariance of the influence function

Parameters:
    y values of the influence function
    q dimension of the influence function
    weights case weights
    n number of observations
    ans return value; an object of class `ExpectCovarInfluence'

Definition at line 80 of file LinearStatistic.c.

References coin_covarianceSym, coin_expectationSym, and coin_sumweightsSym.

Referenced by R_ExpectCovarInfluence().

  void C_ExpectCovarLinearStatistic (const double * x, const int p, const double * y, const int q, const double * weights, const int n, const SEXP expcovinf, SEXP ans) Conditional expectation and covariance of the a linear statistic

Parameters:
    x values of the transformation
    p dimension of the transformation
    y values of the influence function
    q dimension of the influence function
    weights case weights
    n number of observations
    expcovinf an object of class `ExpectCovarInfluence'
    ans return value; an object of class `ExpectCovar'

Definition at line 192 of file LinearStatistic.c.

References C_kronecker(), coin_covarianceSym, coin_expectationSym, and coin_sumweightsSym.

Referenced by R_ExpectCovarLinearStatistic().

  void C_kronecker (const double * A, const int m, const int n, const double * B, const int r, const int s, double * ans) Computes the Kronecker product of two matrices

Parameters:
    A matrix
    m nrow(A)
    n ncol(A)
    B matrix
    r nrow(B)
    s ncol(B)
    ans return value; a pointer to a REALSXP-vector of length (mr x ns)

Definition at line 22 of file LinearStatistic.c.

Referenced by C_ExpectCovarLinearStatistic(), and R_kronecker().

  void C_LinearStatistic (const double * x, const int p, const double * y, const int q, const double * weights, const int n, double * ans) Computes the linear statistic, formula (1) in the paper

Parameters:
    x values of the transformation
    p dimension of the transformation
    y values of the influence function
    q dimension of the influence function
    weights case weights
    n number of observations
    ans return value; a pointer to a REALSXP-vector of length pq

Definition at line 327 of file LinearStatistic.c.

Referenced by R_LinearStatistic().

  void C_PermutedLinearStatistic (const double * x, const int p, const double * y, const int q, const int n, const int nperm, const int * indx, const int * perm, double * ans) Linear Statistic with permuted indices

Parameters:
    x values of the transformation
    p dimension of the transformation
    y values of the influence function
    q dimension of the influence function
    n number of observations
    nperm number of permutations
    indx indices for the x-part
    perm (permuted) indices for the y-part
    ans return value; a pointer to a REALSXP-vector of length pq

Definition at line 409 of file LinearStatistic.c.

Referenced by R_MonteCarloIndependenceTest(), and R_PermutedLinearStatistic().

  SEXP R_ExpectCovarInfluence (SEXP y, SEXP weights) R-interface to C_ExpectCovarInfluence

Parameters:
    y values of the influence function
    weights case weights

Definition at line 150 of file LinearStatistic.c.

References C_ExpectCovarInfluence(), coin_covarianceSym, coin_expectationSym, coin_sumweightsSym, ncol(), and nrow().

  SEXP R_ExpectCovarLinearStatistic (SEXP x, SEXP y, SEXP weights, SEXP expcovinf) R-interface to C_ExpectCovarLinearStatistic

Parameters:
    x values of the transformation
    y values of the influence function
    weights case weights
    expcovinf an object of class `ExpectCovarInfluence'

Definition at line 285 of file LinearStatistic.c.

References C_ExpectCovarLinearStatistic(), coin_covarianceSym, coin_expectationSym, ncol(), and nrow().

  SEXP R_kronecker (SEXP A, SEXP B) R-interface to C_kronecker

Parameters:
    A matrix
    B matrix

Definition at line 51 of file LinearStatistic.c.

References C_kronecker(), ncol(), and nrow().

  SEXP R_LinearStatistic (SEXP x, SEXP y, SEXP weights) R-interface to C_LinearStatistic

Parameters:
    x values of the transformation
    y values of the influence function
    weights case weights

Definition at line 363 of file LinearStatistic.c.

References C_LinearStatistic(), ncol(), and nrow().

  SEXP R_PermutedLinearStatistic (SEXP x, SEXP y, SEXP indx, SEXP perm) Linear Statistic with permuted indices

Parameters:
    x values of the transformation
    y values of the influence function
    indx indices for the x-part
    perm (permuted) indices for the y-part

Definition at line 442 of file LinearStatistic.c.

References C_PermutedLinearStatistic(), ncol(), and nrow().

Author

Generated automatically by Doxygen for coin from the source code.